curl --request GET \
--url https://api.campflare.com/v2/notice/:idimport requests
url = "https://api.campflare.com/v2/notice/:id"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.campflare.com/v2/notice/:id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"source": {
"name": "<string>",
"url": "<string>"
},
"description": "<string>",
"kind": "weather",
"severity": "info",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"geometry_summary": {
"kind": "point",
"point": {
"latitude": 123,
"longitude": 123
},
"bbox": {
"min_latitude": 123,
"max_latitude": 123,
"min_longitude": 123,
"max_longitude": 123
}
},
"target": {
"kind": "campground",
"id": "<string>"
},
"geometry": {}
}{
"error": {
"message": "<string>",
"kind": "<string>"
}
}Get Notice
Get notice by id
GET /notice/:id
Path Parameters
Unique identifier of the notice
Query Parameters
If true, embed full GeoJSON geometry in the notice.
Response
Notice response
Event or condition that affects a specific entity (Point) or a geographic area (Polygon).
Globally unique notice identifier
Human-readable headline
Show child attributes
Show child attributes
Optional long-form body text
Top-level category. Note that more kinds may be added here.
weather, fire, closure Relative urgency / impact
info, minor, moderate, severe, extreme ISO-8601 start timestamp
ISO-8601 end timestamp
Lightweight geometry hint
Show child attributes
Show child attributes
If the notice is directly tied to a target (campground, land, etc), this field will be set. Omitted for free-floating polygons such as random weather alerts.
Show child attributes
Show child attributes
GeoJSON geometry object (Point, Polygon, MultiPolygon, etc.). Set the include_geometry flag to populate this field.